function pgn_render() {
    "use strict";

    // Please remember to set the variable pgn4webPath to the path of the pgn4web folder on your site.
    // Here it assumes its a pgn4web directory on your forum root
    let pgn4webPath = elk_scripturl + "/../pgn4web",
        pgn4webTextareaIdNum = 1,
        pgn4webTextareaId = "",
        pgn4webBoardId = "",
        multiGamesRegexp = /\s*\[\s*\w+\s*"[^"]*"\s*]\s*[^\s\[\]]+[\s\S]*\[\s*\w+\s*"[^"]*"\s*]\s*/m;

    let games = document.querySelectorAll('.pgn4web_');
    games.forEach((board) => {
        // Create the ID's to add to the textara and iFrame
        pgn4webTextareaId = "pgn4web_" + pgn4webTextareaIdNum++;
        pgn4webBoardId = pgn4webTextareaId + "_board";

        // Set the id / sanitize value of the textarea
        board.id = pgn4webTextareaId;
        if (board.value !== undefined) {
            board.value = board.value.replace(/<.*?>/g, ' ');
        }

        // Set id / sanitze / add source to iframe
        let board_iframe = board.nextElementSibling;
        board_iframe.id = pgn4webBoardId;
        if (board_iframe.value !== undefined) {
            board_iframe.value = board_iframe.value.replace(/<.*?>/g, ' ');
        }
        board_iframe.src = pgn4webPath + "/board.html?&lch=E5E1C6&dch=CCCBAC&hch=FFFF00&hmch=F5F587&bch=fafafa&&am=l&d=3000&ss=40&ps=d&pf=d&hm=b&bd=c&hd=j&md=f&tm=13&fhs=15&fms=15&fcs=m&cd=i&fp=13&hl=t&fh=b&fw=p&pi=" + pgn4webTextareaId;

        let height = 400;
        if (multiGamesRegexp.test(board.value)) {
            height += 44;
        }

        board_iframe.height = height;
    })
}
